org.apache.hc.client5.http.protocol

## Class NonRepeatableRequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.core5.http.ProtocolException
        - - org.apache.hc.client5.http.protocol.NonRepeatableRequestException

All Implemented Interfaces:
  Serializable

    public class NonRepeatableRequestException
    extends org.apache.hc.core5.http.ProtocolException

Signals failure to retry the request due to non-repeatable request entity.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NonRepeatableRequestException()` Creates a new NonRepeatableEntityException with a `null` detail message.
`NonRepeatableRequestException(String message)` Creates a new NonRepeatableEntityException with the specified detail message.
`NonRepeatableRequestException(String message, Throwable cause)` Creates a new NonRepeatableEntityException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NonRepeatableRequestException

    public NonRepeatableRequestException()

Creates a new NonRepeatableEntityException with a `null` detail message.

#### NonRepeatableRequestException

    public NonRepeatableRequestException(String message)

Creates a new NonRepeatableEntityException with the specified detail message.

Parameters:
  `message` - The exception detail message

#### NonRepeatableRequestException

    public NonRepeatableRequestException(String message,
                                 Throwable cause)

Creates a new NonRepeatableEntityException with the specified detail message.

Parameters:
  `message` - The exception detail message
  `cause` - the cause